# Portfolio

Portfolio WordPress Theme, Copyright (c) 2014 Gavick.com
Portfolio Wordpress Theme is distributed under the GNU GPL license 2.0
http://www.gnu.org/licenses/gpl-2.0.html

## Description

If you’re a photographer, designer or creative blogger, you know how much of an impact strong visuals can have. It’s not enough to just write about your skills, or talk about what works in design; it has to be seen to be understood. With the clean, elegant design offered by this free Portfolio WordPress theme that puts all the emphasis on your creative work, you can craft an alluring, attractive and relaxed website that echoes the qualities that you put into your writing and images. Reveal and hover animations provide a dynamic backdrop without intrusion, and the dialed-back layout keeps attention focused on your content. Provide your blog or portfolio site with the perfect foundation with Porfolio...

## Used resources

The following resources have been used:

Font Awesome: http://fontawesome.io/
Font Awesome font files are licensed under SIL OFL 1.1 
Font Awesome code is licensed under MIT License

All images used in demo comes from unsplash.com and littlevisuals.co and are released under the CC0 license - http://creativecommons.org/publicdomain/zero/1.0/deed.en

Full list of used images:

* [http://www.pexels.com/photo/1223/](http://www.pexels.com/photo/1223/)
* [http://www.pexels.com/photo/1200/](http://www.pexels.com/photo/1200/)
* [http://www.pexels.com/photo/1518/](http://www.pexels.com/photo/1518/)
* [http://www.pexels.com/photo/1490/](http://www.pexels.com/photo/1490/)
* [http://www.pexels.com/photo/1465/](http://www.pexels.com/photo/1465/)
* [http://www.pexels.com/photo/890/](http://www.pexels.com/photo/890/)
* [http://www.pexels.com/photo/1437/](http://www.pexels.com/photo/1437/)
* [http://www.pexels.com/photo/1302/](http://www.pexels.com/photo/1302/)
* [http://www.pexels.com/photo/317/](http://www.pexels.com/photo/317/)
* [http://www.pexels.com/photo/271/](http://www.pexels.com/photo/271/)
* [http://www.pexels.com/photo/1838/](http://www.pexels.com/photo/1838/)

## Installation

1. Upload the **portfolio** folder to the **/wp-content/themes/** directory
2. Activate the **Portfolio** theme through the **Themes** menu in WordPress
3. See **Appearance -> Customize** to change theme options or click the **Customize** button over the theme thumbnails in the **Appearance -> Themes** menu in WordPress

## Support and Contribute

* Check out the Portfolio theme documentation: [Portfolio documentation](http://www.gavick.com/documentation/wordpress-themes/wordpress-themes-configuration/portfolio-wordpress-theme-configuration/)
* Check out the Github repo: [Portfolio Github repository](https://github.com/GavickPro/Portfolio-Free-WordPress-Theme/) to contribute or report issues

## Features

* Supports IE9+
* One-column design
* Responsive layout
* Custom background
* Custom colors via theme customizer
* Fully configurable via theme customizer
* Custom main menu
* Social menu
* Animated content block
* 1 widget area
* Supports editor style
* Supports featured images
* Supported post formats: gallery, image, link, quote, video
* Threaded comments
* Translation-ready

## Changelog

### 1.5.2 - July 5, 2015

* Added new social icons CSS classes: instagram, behance, dribbble, flickr, github, vimeo, linkedin
* Fixed issue with non-visible portfolio thumbnails
* Fixed issues with sub-sub-menus

### 1.5.1 - June 22, 2015

* Fixed issues with excerpt animations on the portfolio view
* Fixed small issues with translation domains

### 1.5.0 - June 17, 2015

* Added filtering of the post categories on the frontpage
* Added option to select post information type on the portfolio view (tags, categories, title, date)
* Added choice for post preview animations on hover
* Added option to display search at topbar
* Added option to display social icons at topbar
* Added option to specify number of posts per page
* Added option for enabling hard crop mode and using the special portfolio image dimensions
* Added option to specify the excerpt length
* Improved navigation in the image attachment page
* Added AJAX refresh for blogname/blogdescription in the theme customizer
* Moved customizer JS code to a separate JS file
* Fixed issue with background color of widgets placed in the article content
* Fixed issue with the theme description on the small screens
* Fixed menu behaviour on tablets
* Fixed submenu behaviour on mobile devices
* Fixed issue with non-clickable parent menu items
* Fixed issue with low header block in some configurations

### 1.4.1 - April 29, 2015

* Added option to specify the portfolio view width
* Added option to disable navigation only inside one category.
* Added option to enable whole clickable overlay in the portfolio view.
* Improved SEO - Removed links from the header on the single items or pages
* Removed unnecessary code for the page background
* Fixed issue with hidden title when featured image is disabled in the post view
* Fixed issue with showing posts without featured images, when showing post excerpts in the portfolio view is disabled.
* Fixed issue with non-clickable portfolio items when excerpts are disabled

### 1.4.0 - April 16, 2015

* Added option to hide tags in the portfolio view
* Added navigation between posts in the single item view
* Added options for the portfolio block height and padding
* Added mobile menu animation
* Added submenu animation on hover
* Added initial-scale=1 in the viewport in order to fix rotation issues on iOS devices
* Added support for the title-tag theme future
* Added option for the portfolio animation type and speed
* Added option to enable portfolio :hover effect
* Fixed issue with empty comments block when comments are closed and there is no earlier comments
* Fixed problem with non-working background color selection control
* Fixed issue with spacing when comments are disabled on pages
* Fixed issue with access to the portfolio items description on touch screen devices
* Small visual fix for the mobile menu
* Tablet and Mobile CSS improvements and fixes of the small issues

### 1.3.0 - March 30, 2015

* Added custom portfolio image size
* Added option to hide featured images
* Added logo auto-size
* Added disabled loading of the two the same font URLs
* Totally rewritten Theme Customizer code
* Fixed default font configuration
* Fixed issue with the content width option
* Fixed issue with active menu item on mobile devices

### 1.2.0 - February 19, 2015

* Added option to enable/disable frontpage animation
* Added option to enable/disable post elements
* Added option to specify content width
* Added option to enable/disable full-width images
* Improved sticky posts styling

### 1.1.1 - December 9, 2014

* Improved editor CSS loading
* Improved translations
* Small code improvements

### 1.1.0 - November 3, 2014

* Added support for logo image
* Added sanitization for the Theme Customizer options
* Added hiding effect for the Google Fonts URL field when other font type is selected 
* Small CSS and code improvements

### 1.0.0 - September 18, 2014

* Initial release
